summaryrefslogtreecommitdiff
path: root/tests/shred
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-08-01 22:33:04 +0000
committerJim Meyering <jim@meyering.net>2003-08-01 22:33:04 +0000
commit572d582d8d5e2ae486bb7e67b2d960d4c5480c4f (patch)
treea773eb409639cbf51cb8b908f9d5ea37725b778a /tests/shred
parent77b694e03adf979f080849ff8ee55af13458d62a (diff)
downloadcoreutils-572d582d8d5e2ae486bb7e67b2d960d4c5480c4f.tar.xz
Ensure that $? is 0 for the final `exit 0'.
Otherwise, with at least the /bin/sh from HPUX 10.20, the trap code would end up converting that to exit 1 and thus an unexpected test failure. Reported by Christian Krackowizer.
Diffstat (limited to 'tests/shred')
-rwxr-xr-xtests/shred/remove2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/shred/remove b/tests/shred/remove
index 5f2508113..32a53f941 100755
--- a/tests/shred/remove
+++ b/tests/shred/remove
@@ -34,6 +34,6 @@ fail=0
# This would take so long that it appears to infloop
# when using version from fileutils-4.0k.
# When the command completes, expect it to fail.
-shred -u $file > /dev/null 2>&1 && fail=1
+shred -u $file > /dev/null 2>&1 && fail=1 || :
exit $fail